#!/bin/sh

# https://petermolnar.net/simple-batch-resize-watermark-with-imagemagick/

# Aufforderung an den User, anzugeben, wo sich die zu markierenden Bilder befinden
echo Bitte gewünschten Ordner-Name -ohne Anführungsstriche- angeben, z.B. /Users/thias/Desktop/meineShots
read -p 'Ordner: ' ordner

# in den Ordner wechseln
cd $ordner

# wo sollen die überarbeiteten Bilder gespeichert werden
zielOrdner="mit_Wasserzeichen"

# das vorbereitete Wasserzeichen muss sich an der hier angegebenen Stelle befinden!
wasserzeichen="/Users/thias/Desktop/Wasserzeichen/ampersand.png"

# Ordner erzeugen
# Achtung, wenn der Ordner schon existiert, werden die Bilder darin überschrieben
mkdir $zielOrdner

# alle Dateien mit Datei-Endungen verwenden, also ".jpg, .JPG, .jpeg, .png, .PNG"
for fname in *.*; do

    composite -gravity SouthEast -geometry +10+10 $wasserzeichen "$fname" "./$zielOrdner/$fname"

    # Ausgabe bei jedem Bild einzeln
    echo "Wasserzeichen bei $fname eingefuegt!"
done

# Ausgabe, wenn alles fertig ist
echo "Fertig: Alle mit Wasserzeichen markierten Bilder bei $ordner/$zielOrdner" eingefügt

exit 0
